Modify Order
PUT /ftapi/v1/order
Request Parameters
| Name | Type | Description |
|---|---|---|
| id | LONG | Order ID |
| symbolId | STRING | Trading pair, e.g., BTC-USDT-M |
| side | ENUM | Buy/sell direction: See OrderSide |
| type | ENUM | Order type: See OrderType |
| quantity | DECIMAL | Order quantity |
| price | DECIMAL | Order price |
| tpSl | Take profit / Stop loss | |
| tpTriggerType | ENUM | TP trigger type: See TriggerTypeEnum |
| tpPrice | DECIMAL | TP price |
| tpExecutePrice | DECIMAL | TP execution price |
| slTriggerType | ENUM | SL trigger type: See TriggerTypeEnum |
| slPrice | DECIMAL | SL price |
| slExecutePrice | DECIMAL | SL execution price |
Request Example
{
"id": "112143113601945600",
"symbolId": "SOL-USDT-M",
"side": "BUY",
"price": "212.429",
"quantity": "2",
"type": "LIMIT",
"tpSl": {
"tpTriggerType": "NONE",
"tpPrice": 0,
"tpExecutePrice": 0,
"slTriggerType": "NONE",
"slPrice": 0,
"slExecutePrice": 0
}
}Response Example
{
"code": "0",
"data": "111428799303782400",
"msg": "Request successful",
"success": true
}Error Codes
| Error Code | Description |
|---|---|
| 700000 | System error |
| 700001 | Position not found |
| 700004 | Invalid request parameters |
| 700008 | Request timeout |
| 700009 | Illegal parameter |
| 700011 | Illegal price |
| 700012 | Illegal order quantity |
| 700013 | Adjust margin exceeds maximum |
| 700016 | Position size exceeds max open limit; adjust risk limit |
| 700017 | Insufficient balance |
| 700018 | Insufficient pending orders |
| 700019 | Illegal leverage |
| 700022 | Insufficient closable quantity |
| 700040 | Trigger price too close to current price; may trigger immediately |
| 700041 | Trading is not allowed for this contract |
| 700042 | Please select either take profit or stop loss |
| 700043 | TP trigger price greater than entry average |
| 700044 | TP trigger price less than entry average |
| 700045 | SL trigger price less than entry average |
| 700046 | SL trigger price greater than entry average |
| 700047 | Trigger price too close to entry price; may trigger immediately |
| 700048 | Order status abnormal |
| 700052 | Exceeds maximum number of open orders |
| 700057 | SL trigger price cannot be below est. liquidation price |
| 700058 | SL trigger price cannot be above est. liquidation price |
| 700060 | Order quantity must not be less than minimum order size |
| 700061 | User is prohibited from trading |
| 700062 | User is prohibited from opening positions |
| 700068 | TP price must be greater than order price |
| 700069 | TP price must be greater than current price |
| 700070 | SL price must be less than order price |
| 700071 | SL price must be less than current price |
| 700072 | TP price must be less than order price |
| 700073 | TP price must be less than current price |
| 700074 | SL price must be greater than order price |
| 700075 | SL price must be greater than current price |
| 700076 | TP price must be greater than mark price |
| 700077 | TP price must be less than mark price |
| 700078 | SL price must be greater than mark price |
| 700079 | SL price must be less than mark price |
| 700080 | SL price must be less than liquidation price |
| 700081 | SL price must be greater than liquidation price |
| 700082 | Order quantity must not exceed maximum order size |
| 700089 | TP order price must be greater than entry price |
| 700091 | TP order price must be less than entry price |
| 700093 | SL order price must be less than entry price |
| 700095 | SL order price must be greater than entry price |
| 700096 | TP order price must be greater than latest price |
| 700097 | TP order price must be less than latest price |
| 700098 | SL order price must be less than latest price |
| 700099 | SL order price must be greater than latest price |
| 700106 | Order failed; try again later or contact support |
Code Example
Last updated on: